Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.util
Class CharacterUtils.CharacterBuffer

    java.lang.Object
      org.apache.lucene.analysis.util.CharacterUtils.CharacterBuffer

Enclosing class:
  CharacterUtils

    public static final class CharacterUtils.CharacterBuffer

extends Object

A simple IO buffer to use with `CharacterUtils.fill(CharacterBuffer, Reader)`.

Method Summary
`char[]` | `getBuffer()` Returns the internal buffer
`int` | `getLength()` Return the length of the data in the internal buffer starting at `getOffset()`
`int` | `getOffset()` Returns the data offset in the internal buffer.
`void` | `reset()` Resets the CharacterBuffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBuffer

    public char[] getBuffer()

  Returns the internal buffer

  Returns:
    the buffer

### getOffset

    public int getOffset()

  Returns the data offset in the internal buffer.

  Returns:
    the offset

### getLength

    public int getLength()

  Return the length of the data in the internal buffer starting at `getOffset()`

  Returns:
    the length

### reset

    public void reset()

  Resets the CharacterBuffer. All internals are reset to its default values.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.